Subject: Re: Summary of /etc/rc* <Pine.SUN.3.90.940912184822.19817C-100000@xochi>

From: "L. Todd Masco" <[email-masked]>

Charles Ewen MacMillan writes:
 >  Or, alternately, you can leave a single flag and "if" statement at the 
 > beginning of /etc/rc.local to boot whatever daemons you please, without
 > any changes to the current implementation.

Ah, but that *is* a change to the current implementation.

 >  The way my systems are setup, is that rc.local launches some daemons 
 > which always run (i.e. fakerwhod) and shells out to other scripts to 
 > launch subsystems which require a more complex startup (i.e. bind, news).
...
 >  This says to me, that I could place on my most complex machine, 3
 > launched processes in an intermediate script between single user mode
 > and multi-user startup.
 > 
 >  On the BSD machines, there is less to run than on a Sun, so it seems
 > to me there would be even less use for the setup you are describing, and
 > in my opinion, not nearly enough usage to warrant the changes to
 > init, changes to existing startup scripts, and more importantly drift 
 > from the rest of m68k.

Maybe you missed it the first two times I said it: I'm not proposing a
change in only the Amiga NetBSD.  I'll makw this available through the
Amiga list, people can test it, and then I'll propose it back to
everyone for *all* of NetBSD.  If it isn't taken up, then I'll
distribute is as a patch to NetBSD in general.  IE, I'm not developing
this just for the Amiga: I want to be able to use it on our VAXen when
NetBSD is stable for them (You can't complain about bad UNIX
implementations until you've administered Ultrix machines).

The changes to init are trivial -- and what you're saying is that we're
better off with everyone making their own independent changes to
startup scripts in incompatible ways.  Obviously, I strongly disagree.

It's great that your own setup on your machines is so simple,
that you never need to bring a machine partially up, and run no
product- and other- related add-on startup scripts and daemons
that you might want to modify in a system-safe manner.

Not all of us have such simple setup.  A machine with flexfax, INN,
named, and framemaker (for example) will have a family of things
to run for each setup.  Any time you modify the scripts with each
of these, you can screw your entire rc.local -- with run-levels,
you'll only screw up the immediate family of daemons.

I don't think it's good design to avoid a scalable startup system
just because the base system isn't that complex (right now).
--
L. Todd Masco  | "Hide, witch, hide!  The good folk come to burn thee, their
[email-masked]  |  keen enjoyment hid behind a gothic mask of duty." -JS/BATE